Skip to main content
POST
/
transaction_rules
Create transaction rule
curl --request POST \
  --url https://int-data.moneydesktop.com/transaction_rules \
  --header 'Content-Type: application/vnd.mx.nexus.v1+json' \
  --header 'MD-SESSION-TOKEN: <api-key>' \
  --data '{}'
{
  "transaction_rule": {
    "category_guid": "CAT-b1de2a04-db08-b6ed-f6fe-ca2f5b11c2d0",
    "created_at": "2018-10-02T22:00:50+00:00",
    "description": "Wal-mart food storage",
    "guid": "TXR-a080e0f9-a2d4-4d6f-9e03-672cc357a4d3",
    "match_description": "Wal-mart",
    "updated_at": "2018-10-02T23:54:40+00:00",
    "user_guid": "USR-22fc3203-b3e6-8340-43db-8e50b2f56995"
  }
}
Use this endpoint to create a new transaction rule. The newly-created transaction_rule object will be returned if successful.

Authorizations

MD-SESSION-TOKEN
string
header
required

MX Session Token

  • Request an API token using the read API token endpoint in the MX SSO API.
  • Exchange an API token for a session token.
    • A session token is obtained by sending a POST request to /sessions
    • The session token will be used in each request made for the user. It should be passed in an MD-SESSION-TOKEN HTTP header as shown below.
    • This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
    • If you send a request with an expired session token you'll receive an error code of 4011.
curl -i https://int-data.moneydesktop.com/accounts \
-H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \
-H 'Content-Type: application/vnd.mx.nexus.v1+json' \
-H 'Accept: application/vnd.mx.nexus.v1+json'

In documentation code examples, replace <API_KEY_VALUE> with the session token.

Body

application/vnd.mx.nexus.v1+json
transaction_rule
object

Response

200 - application/vnd.mx.api.v1+json

OK

transaction_rule
object